## txtreader 0.4.4

=== Makefile ===
#############################################################################
# Makefile for building: txtreader
# Generated by qmake (2.01a) (Qt 4.3.2) on: ?? ?? 5 10:41:23 2008
# Project:  txtreader.pro
# Template: app
# Command: /usr/lib/qt4/bin/qmake-qt4 -unix -o Makefile txtreader.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB
CFLAGS        = -pipe -O2 -g -march=i686 -mmmx -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -g -march=i686 -mmmx -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/lib/qt4/mkspecs/linux-g++ -I. -I/usr/include/QtCore -I/usr/include/QtCore -I/usr/include/QtGui -I/usr/include/QtGui -I/usr/include -I. -Isrc -I. -I.
LINK          = g++
LFLAGS        = 
LIBS          = $(SUBLIBS)   -lQtGui -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/lib/qt4/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = src/main.cpp \
		src/readerview.cpp \
		src/TxtReader.cpp moc_readerview.cpp \
		moc_TxtReader.cpp \
		qrc_txtreader.cpp
OBJECTS       = main.o \
		readerview.o \
		TxtReader.o \
		moc_readerview.o \
		moc_TxtReader.o \
		qrc_txtreader.o
DIST          = /usr/share/qt4/mkspecs/common/g++-multilib.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		txtreader.pro
QMAKE_TARGET  = txtreader
DESTDIR       = 
TARGET        = txtreader

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: txtreader.pro  /usr/lib/qt4/mkspecs/linux-g++/qmake.conf /usr/lib/qt4/mkspecs/common/g++-multilib.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/lib/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf
	$(QMAKE) -unix -o Makefile txtreader.pro
/usr/lib/qt4/mkspecs/common/g++-multilib.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/lib/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile txtreader.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/txtreader1.0.0 || $(MKDIR) .tmp/txtreader1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/txtreader1.0.0/ && $(COPY_FILE) --parents src/readerview.h src/TxtReader.h .tmp/txtreader1.0.0/ && $(COPY_FILE) --parents txtreader.qrc .tmp/txtreader1.0.0/ && $(COPY_FILE) --parents src/main.cpp src/readerview.cpp src/TxtReader.cpp .tmp/txtreader1.0.0/ && (cd `dirname .tmp/txtreader1.0.0` && $(TAR) txtreader1.0.0.tar txtreader1.0.0 && $(COMPRESS) txtreader1.0.0.tar) && $(MOVE) `dirname .tmp/txtreader1.0.0`/txtreader1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/txtreader1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


/usr/lib/qt4/bin/moc:
	(cd $(QTDIR)/src/tools/moc && $(MAKE))

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_readerview.cpp moc_TxtReader.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_readerview.cpp moc_TxtReader.cpp
moc_readerview.cpp: src/readerview.h \
		/usr/lib/qt4/bin/moc
	/usr/lib/qt4/bin/moc $(DEFINES) $(INCPATH) src/readerview.h -o moc_readerview.cpp

moc_TxtReader.cpp: src/readerview.h \
		src/TxtReader.h \
		/usr/lib/qt4/bin/moc
	/usr/lib/qt4/bin/moc $(DEFINES) $(INCPATH) src/TxtReader.h -o moc_TxtReader.cpp

compiler_rcc_make_all: qrc_txtreader.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_txtreader.cpp
qrc_txtreader.cpp: txtreader.qrc \
		README_zh_CN.HTML \
		README_English.HTML \
		i18n/txtreader_English.qm \
		i18n/txtreader_zh_CN.qm \
		images/open.png \
		images/fullscreen.png \
		images/setfont.png \
		images/bg.png \
		images/instruction.png \
		images/jump.png \
		images/resetbg.png \
		images/lang.png \
		images/restore.png \
		images/about.png \
		images/addbookmark.png \
		images/icon.png \
		images/codec.png \
		images/nofullscreen.png \
		images/delbookmark.png \
		images/font.png \
		images/min.png \
		images/zoom-out.png \
		images/bgcolor.png \
		images/exit.png \
		images/bgimage.png \
		images/zoom-in.png \
		images/bookmark.png
	/usr/lib/qt4/bin/rcc -name txtreader txtreader.qrc -o qrc_txtreader.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean 

####### Compile

main.o: src/main.cpp src/TxtReader.h \
		src/readerview.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o src/main.cpp

readerview.o: src/readerview.cpp src/readerview.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o readerview.o src/readerview.cpp

TxtReader.o: src/TxtReader.cpp src/TxtReader.h \
		src/readerview.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o TxtReader.o src/TxtReader.cpp

moc_readerview.o: moc_readerview.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_readerview.o moc_readerview.cpp

moc_TxtReader.o: moc_TxtReader.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_TxtReader.o moc_TxtReader.cpp

qrc_txtreader.o: qrc_txtreader.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qrc_txtreader.o qrc_txtreader.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:
