## txtreader 0.5.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: txtreader
-# Generated by qmake (2.01a) (Qt 4.3.2) on: ?? ?? 5 10:41:23 2008
+# Generated by qmake (2.01a) (Qt 4.4.3) on: ?? ?? 14 10:53:25 2009
 # Project:  txtreader.pro
 # Template: app
 # Command: /usr/lib/qt4/bin/qmake-qt4 -unix -o Makefile txtreader.pro
