=== debian/changelog ===
txtreader (0.5.2-1) unstable; urgency=low

  * new upstream release.
  * debian/control:
    - change maintainer's email.
    - bump standards version to 3.8.4.
    - update homepage.
    - remove dpatch from build-depends.
    - remove DMUA.
  * debian/source/format: 3.0.
  * debian/txtreader.desktop: added.
  * debian/rules:
    - remove dpatch
    - install icons
  * debian/txtreader.xpm: use new icon.
  * debian/txtreader.install: updated.
  * debian/watch: added. 

 -- LI Daobing <lidaobing@debian.org>  Wed, 14 Apr 2010 22:16:32 +0800

txtreader (0.4.4-1) unstable; urgency=low

  [ LI Daobing ]
  * Initial release (Closes: #490805)

  [ Anthony Fok ]
  * Added myself to Uploaders.
  * Added "Build-Conflicts: qt3-dev-tools", otherwise /usr/bin/qmake
    points to qmake-qt3, leading to FTBFS error.
  * Made some typographic revision in README_*.HTML and txtreader_zh_CN.ts
  * [debian/rules]: Use lrelease to compile i18n/*.qm files at build time.
  * Added txtreader.desktop file.
  * Used dpatch to separate out the changes I made to upstream source.
  * Sponsored upload.

 -- LI Daobing <lidaobing@gmail.com>  Thu, 24 Jul 2008 11:57:48 +0800
