=== debian/control ===
Source: txtreader
Section: text
Priority: optional
Maintainer: LI Daobing <lidaobing@debian.org>
Build-Depends: cdbs, debhelper (>= 7), libqt4-dev
Build-Conflicts: qt3-dev-tools
Uploaders: Anthony Fok <foka@debian.org>
Standards-Version: 3.8.4
Homepage: http://code.google.com/p/txtreader4linux/
Vcs-Browser: http://git.debian.org/?p=collab-maint/txtreader.git
Vcs-Git: git://git.debian.org/git/collab-maint/txtreader.git

Package: txtreader
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: text viewer, mainly used for reading novels
 Txt Reader is a general text viewer, especially suited for reading novels.
 .
 Features:
  * Automatically remember the place before you closed
  * Support fullscreen mode
  * Support hiding reader to tray with Esc
  * Support page-scrolling with arrow keys
  * Support bookmark
  * Support encoding selection
