=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/qmake.mk

DEB_INSTALL_MANPAGES_txtreader = debian/txtreader.1

#configure/txtreader::
#	lrelease txtreader.pro

#cleanbuilddir/txtreader::
#	rm -f i18n/*.qm

install/txtreader::
	mkdir -p debian/txtreader/usr/bin/
	cp txtreader debian/txtreader/usr/bin/
	mkdir -p debian/txtreader/usr/share/pixmaps/
	install -m 644 images/book.png debian/txtreader/usr/share/pixmaps/txtreader.png
	install -m 644 debian/txtreader.xpm debian/txtreader/usr/share/pixmaps/
