=== debian/changelog ===
txtreader (0.5.3-1) unstable; urgency=low

  * new upstream release.
  * debian/control: bump standards version to 3.9.1. 

 -- LI Daobing <lidaobing@debian.org>  Thu, 09 Sep 2010 20:37:09 +0800
