=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: cdbs, debhelper (>= 7), libqt4-dev
 Build-Conflicts: qt3-dev-tools
 Uploaders: Anthony Fok <foka@debian.org>
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://code.google.com/p/txtreader4linux/
 Vcs-Browser: http://git.debian.org/?p=collab-maint/txtreader.git
 Vcs-Git: git://git.debian.org/git/collab-maint/txtreader.git
