=== debian/changelog ===
txtreader (0.6.5-1) unstable; urgency=low

  * new upstream release.
  * debian/rules: updated.
  * debian/control:
    - bump standards version to 3.9.2.
    - new maintainer's email.
    - update Vcs-* fields.

 -- LI Daobing <lidaobing@debian.org>  Mon, 15 Aug 2011 23:41:15 +0800
