=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: txtreader
 Section: text
 Priority: optional
-Maintainer: LI Daobing <lidaobing@debian.org>
+Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
+Uploaders:
+ LI Daobing <lidaobing@debian.org>,
+ Anthony Fok <foka@debian.org>
 Build-Depends: cdbs, debhelper (>= 7), libqt4-dev
 Build-Conflicts: qt3-dev-tools
-Uploaders: Anthony Fok <foka@debian.org>
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://code.google.com/p/txtreader4linux/
-Vcs-Browser: http://git.debian.org/?p=collab-maint/txtreader.git
-Vcs-Git: git://git.debian.org/git/collab-maint/txtreader.git
+Vcs-Browser: http://git.debian.org/?p=chinese/txtreader.git
+Vcs-Git: git://git.debian.org/git/chinese/txtreader.git
 
 Package: txtreader
 Architecture: any
