=== debian/rules ===
--- 
+++ 
@@ -15,5 +15,5 @@
 	mkdir -p debian/txtreader/usr/bin/
 	cp txtreader debian/txtreader/usr/bin/
 	mkdir -p debian/txtreader/usr/share/pixmaps/
-	install -m 644 images/book.png debian/txtreader/usr/share/pixmaps/txtreader.png
+	install -m 644 images/icon.png debian/txtreader/usr/share/pixmaps/txtreader.png
 	install -m 644 debian/txtreader.xpm debian/txtreader/usr/share/pixmaps/
