=== debian/watch ===
version=3
http://code.google.com/p/txtreader4linux/downloads/list \
http://txtreader4linux.googlecode.com/files/txtreader-(.*)\.tar\.gz
