## txtreader 0.6.7

=== debian/changelog ===
txtreader (0.6.7) unstable; urgency=low

  * Initial Release.

 -- Eveing <eveing@139.com>  Sun, 20 May 2012 09:57:34 +0800
