=== debian/control ===
Source: txtreader
Section: user/apps
Priority: optional
Maintainer: Eveing <eveing@139.com>
Build-Depends: debhelper (>= 5), pkg-config, libosso-dev (>=0.9.10-2), libqt4-dev

Package: txtreader
Version: 0.6.7
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: <Txt File Reader>
 <insert long description, indented with spaces>
Maemo-Icon-26: 
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
 /wD/oL2nkwAAAAlwSFlzAAASdAAAEnQB3mYfeAAAAAd0SU1FB9sMDhMsDybst2gAAAVbSURBVEjH
 5ZbLb91XEcc/c875ve69vs/YDokct478akNFKwFJUaAiBVIWiVopApFNgQ0s2FXiD0B0XaFuukCV
 kFBBrkISEWQRKRKpaiUrKEUktOQpR+A4dv28vvf3OMPCbxx1gZBYMNJZ/H7nzHznzHxnzsD/jVy/
 fv2/qiM7P65du8bRo0d3Hbh8+fJBa21ijA3m5+fvvvLKy2sAF86dq9RbrQFVzYqiSE+cOHF/p97k
 5CQnT57cBjo+/DzvfTzFzY/+xuLCgomjuJzn+XfCMDxVqVReSJKk5Jwlz3Pa7TbLyysXbl+8mDz3
 6qtfj8IA9UpRFKyurmaLi4tT7XZ7UlV/vrS0NBfGoX/pGy9xfPj57Rudn/jNsbHPjv+4Vqudrlar
 lEqlLW/WOm0WFhZYWV1WE4Vy8eUzfPvy77UkVoqiQFUBsNaSpilzc3PMz8//7i9//PCnP/jRD6cA
 3Iat1tzDuZ8cOnToRJIkAAqgqiIieO8BJc8zmf9kjrV2m9VHjyTZ14+q4r2nKAo6nY6qqjQaDWq1
 2jenrrwfxdhvdSjmDEA/rb5SuTToArfpnQAiIluJ1I0lKMnIMNO/vYSJIzYc2pXzLMtQVZJSMtgn
 +/sADMDoyFgtiuKmEcOm8Z3iFVBFFTTPqX/lOLff+RVLd+489vwmeBRFzYGhgdoW0MHBgWYYBE0x
 8un8VQWFqK+P+nPP8qc33iBdWdkyvLk2JY6TZqu/t7kFFJXDA+WeMkaM7rmN9+sGNrFQbBgw9v3v
 sXLnDn99661dxlmPOWJEe2o9hElwAMCMlg47I2akWq/tqavtwCuqfpMjiEKpfz9ffP11Hl29ys03
 38Suk2hLjBip1qo450aO1MecCaLABWF4uFqvbrHtcfH+d4+1yKmPjPDUa6/Rnpri3vnzmCjaqaPV
 WpU4SQ4ba52xLnBRFA1tAMnjjOuOf6rABgGKNOXAiy/innySzpUrpIuLW+RQVanUKiRJMmSdc6a5
 r2XDOBqO4miv1xs1orrOg42s7Ypv0elw8NQputPTLH3wAVi7tRfFEXESD9ebdWtKlaRaKpfKQRDs
 zY0IzjmCIMA5i6J4v04INvespTE+ztrMDPns7C4GOuco91TKpUqp6vI8H23uaxDH8S6Qhw8fMjs7
 S7fTJS9ynHM0mnXUKz5XnLHcvnWbTreDdLvky8v4lRUqlQqa53S7XRBotOrkeT7qQJ+ptxpkaaY3
 btyQW7f+zmp7BRcYxApmvUcgYkhvZvS2+snyjPfe/wOlcoyNAvjzDbLVNvf+Mc1Hk5eIjGNw8AmG
 Dg9pvdUQ0GccMLaaLvPuuV+LWEA8ajK6mUcKwYjBWIs1FhcY7t+/CyLUG1UQUDUUDx5gnh4n+kwf
 Pb118J4HM/e5dfdj6foOiIy7IAiOdLIOzClpN8MXniLz5Hmx0UyFSq2kqMq9m9N8MrMIQKOvxhNP
 DyBidMmXRb7wZeyDJWz6IS50BIEjiAK6eZfAuSPytSNf7Tb394ZF7rf7md/RShSME/IiW8i7eSew
 4X6AzKczLnSRs0HdF9stVVDEyDrNBayzzP9zNnVFUVTWOmtiqyYSJ4mxxIhERkgUQoEINHDYIDDW
 +kwjBZIg7qpXL6KFRVJUU4Uuni6iHS2KDrlpd1ezTuEL71qf78smfjEBkB792QvLvVerLrbW4QnF
 SKhKoGKcoFZUjYmsrD8bXo2IV5FCRQvryRSTEZCqSMpalL976Z29M8Pp757mwtsX9tTS50a/xFPP
 tqRTiKg3kgRK4a3kPlOrkabVXMv36vrLK2/v0T1z5gwTExOf/iKcPXv2P5qejh079r8d3/4F+ZRy
 Wffhs/oAAAAASUVORK5CYII=
