=== debian/changelog ===
txtreader (0.6.8) unstable; urgency=low

  * Jump to Dialog.

 -- Eveing <eveing@139.com>  Mon, 12 Nov 2012 20:24:11 +0800
