=== debian/control ===
--- 
+++ 
@@ -5,11 +5,9 @@
 Build-Depends: debhelper (>= 5), pkg-config, libosso-dev (>=0.9.10-2), libqt4-dev
 
 Package: txtreader
-Version: 0.6.7
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: <Txt File Reader>
- <insert long description, indented with spaces>
 Maemo-Icon-26: 
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
  /wD/oL2nkwAAAAlwSFlzAAASdAAAEnQB3mYfeAAAAAd0SU1FB9sMDhMsDybst2gAAAVbSURBVEjH
