=== debian/rules ===
--- 
+++ 
@@ -55,7 +55,7 @@
 		"$(CURDIR)"/debian/txtreader/usr/share/icons/hicolor/scalable/apps/txtreader.png
 	install -m 0644 $(IFLAGS) data/txtreader.desktop \
 		"$(CURDIR)"/debian/txtreader/usr/share/applications/hildon/txtreader.desktop
-
+	ln -s /opt/maemo/txtreader/txtreader $(CURDIR)/debian/txtreader/usr/bin/txtreader
 
 # Build architecture-independent files here.
 binary-indep: build install
